%define name gai-mailcounter
%define version 0.4
%define release 2mdk

Name: %name
Summary: A GAI applet displaying the status of the local mailbox
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Networking/Mail
Source: http://prdownloads.sourceforge.net/gai/%{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
BuildRoot: %{_tmppath}/build-root-%{name}

BuildRequires: automake >= 1.4
BuildRequires: libgai-devel >= 0.5

%description
A GAI applet displaying the status of the local mailbox. This can be
used in several panels, inlcuding the GNOME one.

%prep
%setup -q 

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
install -m755 %name -D $RPM_BUILD_ROOT%{_bindir}/%name
install -m644 GNOME_DefaultApplet.server -D $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
install -m644 %name-icon.png -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name-icon.png
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name
cp images/* $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/%name" icon="%name.png" \
                needs="X11" section="Networking/Mail" \
 title="Gai-mailcounter" longtitle="Mail counter"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc INSTALL README README.gai
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%{_menudir}/%name
%{_datadir}/pixmaps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- fix source url
- fix description

* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- fix configure call
- new version

* Sat Nov  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- rebuild for new gai

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-1mdk
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file
